<?php
//ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once ("../cliente/cCliente.php");
$oCliente = new cCliente();
if($_POST['action']=="editar"){
	$dts=$oCliente->mostrarUno($_POST['cli_id']);
	$dt = mysqli_fetch_array($dts);
	$tip=$dt['tb_cliente_tip'];
	$nom=$dt['tb_cliente_nom'];
	$doc=$dt['tb_cliente_doc'];
	$con=$dt['tb_cliente_con'];
	$tel=$dt['tb_cliente_tel'];
	$ema=$dt['tb_cliente_ema'];
	mysqli_free_result($dts);
	
$dtsclidir = $oCliente->filtrardirecciones($dt['tb_cliente_id'],'1');
$dtdir = mysqli_fetch_array($dtsclidir);
$dir = $dtdir['tb_clientedireccion_nom'];	
	
}
?>
<form role="form" id="for_cli">
<input name="action_cliente" id="action_cliente" type="hidden" value="<?php echo $_POST['action']?>">
<input name="hdd_cli_id" id="hdd_cli_id" type="hidden" value="<?php echo $_POST['cli_id']?>">
	<div class="box-header">
            <h3 class="box-title">Registro de Clientes</h3>
     </div>
          <div class="box-body">
    <div class="form-group">
      <div class="row">
        <div class="col-lg-2 col-xs-6">
          <label>Tipo</label>
          <?php if ($_POST['action']=='editar'){?>
			<select name="cmb_cli_tip" id="cmb_cli_tip" class="form-control">
				<?php if ($tip==1) {?>
				<option value="">--Seleccione--</option>
				<option value="1" selected >DNI</option>
				<option value="2">RUC</option>	
				<?php }else if ($tip==2) {?>
				<option value="">--Seleccione--</option>
				<option value="1">DNI</option>
				<option value="2" selected>RUC</option>	
				<?php }
				?>
			</select>
			<?php }else if ($_POST['action']=='insertar') {?>
			<select name="cmb_cli_tip" id="cmb_cli_tip" class="form-control">
				<option value="">--Seleccione--</option>
				<option value="1" >DNI</option>
				<option value="2"selected  >RUC</option>
			</select>
		  <?php } ?>
        </div>
        <div class="col-lg-2 col-xs-6">
          	<label for="txt_cli_doc">RUC/DNI:</label>
			<input name="txt_cli_doc" autocomplete="off" title="Ingrese RUC o DNI y presione ENTER para buscar en Sunat o Reniec." id="txt_cli_doc" type="text" value="<?php echo $doc?>"  maxlength="11" class="form-control">
        </div>
        <div class="col-lg-8 col-xs-12">
          <label for="txt_cli_nom">Cliente:</label>
		    <input name="txt_cli_nom" autocomplete="off" id="txt_cli_nom" type="text" value="<?php echo $nom?>" class="form-control" >
        </div>
      </div>
      <div class="row">
        <div class="col-lg-12 col-xs-12">
          <label for="txt_cli_dir">Dirección:</label>      
		   <input name="txt_cli_dir" autocomplete="off" id="txt_cli_dir" type="text" value="<?php echo $dir?>" class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-lg-4 col-xs-6" style="display:none;" >
          <label for="txt_cli_con">Contacto:</label>
          <input name="txt_cli_con" autocomplete="off" id="txt_cli_con" type="text" value="<?php echo $con?>"  class="form-control">
        </div>
        <div class="col-lg-4 col-xs-6">
          <label for="txt_cli_tel">Teléfono:</label>
          <input name="txt_cli_tel" autocomplete="off" type="text" id="txt_cli_tel" value="<?php echo $tel?>"  class="form-control">
        </div>
        <div class="col-lg-4 col-xs-12">
          <label for="txt_cli_ema">Email:</label>
          <input name="txt_cli_ema" autocomplete="off" type="text" id="txt_cli_ema" value="<?php echo $ema?>"  class="form-control">
        </div>
		<div class="col-lg-4 col-xs-12">
          <label for="txt_cli_cla">Clave:</label>
          <input name="txt_cli_cla" autocomplete="off" type="text" id="txt_cli_cla" value="<?php echo $ema?>"  class="form-control">
        </div>
		</div>
    </div>
    </div>
</form>
		<div class="box-footer  float-right">
		<?php #if ($_SESSION['usuariogrupo_id']=='6'){
		?>
		 <!-- <button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
		-->
		<?php 
		#}else{?>
           <button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
            <button class="btn btn-primary" id="btn_cliente_save">Guardar</button>
		<?php# }?> 
		  </div>
      
<script type="text/javascript">
	
	function limpiar_inputs(){
		
		$('#txt_cli_nom').val('');
		$('#txt_cli_dir').val('');
		$('#txt_cli_con').val('');
		$('#txt_cli_tel').val('');
		$('#txt_cli_doc').val('');
		$('#txt_cli_doc').focus();
		
	}
	
	$('#txt_cli_nom, #txt_cli_dir, #txt_cli_con').change(function(){
		$(this).val($(this).val().toUpperCase());
	});
function buscarruc(){	
	toastr["info"]('Buscando datos...');
	 $('#div_mensaje_dialog').modal('show');
	$.ajax({	
		type: "POST",					
		url: "../../libreriasphp/sunat/consulta.php",
		async:true,
		dataType: "json",                      
		data: ({
			ruc: $("#txt_cli_doc").val()
		}),
		beforeSend: function() {
			var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_mensaje').html(divmen);
		},
		success: function(data){
			
			$('#div_mensaje_dialog').modal('hide');
			
				var datos = eval(data);
				
					
					$('#txt_cli_nom').val('');
					$('#txt_cli_dir').val('');
				
				if(datos['api_est']==true){
					$('#txt_cli_doc').val(datos['api_doc']);
					$('#txt_cli_nom').val(datos['api_nom']);
					$('#txt_cli_dir').val(datos['api_dir']);
					toastr["success"](datos['api_msj']);
				}else{
					
					if(datos['api_estapi']==0 ){
						toastr["warning"](datos['api_msj']);
					}else if(datos['api_estapi']==1 ){
						toastr["error"](datos['api_msj']);
					}
					
				}
			
		},
		complete: function(){			
		
		}
	});   
		
}
function buscardni(){	
	toastr["info"]('Buscando en Reniec...');
	
	$.ajax({	
		type: "POST",					
		url: "../../libreriasphp/reniec/consulta.php",
		async:true,
		dataType: "json",                      
		data: ({
			dni: $("#txt_cli_doc").val()
		}),
		beforeSend: function() {
			
		},
		success: function(data){
			
				var datos = eval(data);
				var nada ='nada';
				if(datos[0]==nada){
				
					toastr["error"]('DNI no válido o no registrado');
					
				}else{
					
					if(datos[4] == null ){
						toastr["error"]('Dni no encontrado o servicio no disponible');
					}else{
					
					$('#txt_cli_doc').val(datos[0]);
					$('#txt_cli_nom').val(datos[4] +' '+ datos[2]+' '+ datos[3]);
					$('#txt_cli_dir').val('--');
					toastr["success"]('Datos encontrados.');
				}	
			}	
				
		},
		complete: function(){			
		
		}
	});   
		
}
	
  	$("#btn_cliente_save").click(function() {
		if($("#txt_cli_dir").val()=="" || $("#txt_cli_dir").val()=="-"){
			toastr["warning"]('Ingrese una direccion');	
		}else{
		
	    $("#for_cli").submit();
		}
	});
	$(document).ready(function() {
	    $('#for_cli').bootstrapValidator({
	      message: 'This value is not valid',
	      feedbackIcons: {
	        valid: 'glyphicon glyphicon-ok',
	        invalid: 'glyphicon glyphicon-remove',
	        validating: 'glyphicon glyphicon-refresh'
	      },
	      fields: {
	        cmb_cli_tip: {
	          group: '.col-lg-2',
	          validators: {
	            notEmpty: {
	              message: 'Este campo es requerido'
	            }
	          }
	        },
	        txt_cli_doc: {
	          group: '.col-lg-2',
	          validators: {
	            notEmpty: {
	              message: 'Este campo es requerido'
	            },
	            regexp: {
	              regexp: /^[0-9]+$/,
	              message: 'Caracteres no permitidos'
	            }
	          }
	        },
	        txt_cli_nom: {
	          group: '.col-lg-8',
	          validators: {
	            notEmpty: {
	              message: 'Este campo es requerido'
	            }
	          }
	        },
	       /*  txt_cli_tel: {
	          group: '.col-xs-4',
	          validators: {
	            regexp: {
	              regexp: /^[0-9+\- ()]+$/,
	              message: 'Caracteres no permitidos'
	            }
	          }
	        }, */
	      }
	    }).on('success.form.bv', function(e) {
	   
	      $.ajax({
				type: "POST",
				url: "../cliente/cliente_reg.php",
				async:true,
				dataType: "json",
				data: $("#for_cli").serialize(),
				beforeSend: function(){
					//$('#div_cliente_form').dialog("close");
					$('#msj_cliente').html("Guardando...");
					$('#msj_cliente').show(100);
				},
				success: function(data){
							
				toastr["success"](data.cli_msj);	
				
				
					<?php
					if($_POST['vista']=="cliente_tabla")
					{
					?>
						$('.modal').modal('hide');
						$('.in').removeClass('modal-backdrop');
					<?php
					}
					if($_POST['vista']=="venta")
					{
					?>
						$('#div_cliente_form_dialog').modal('hide');	
						cliente_cargar_datos(data.cli_id);
						
					<?php 
					}
					?>
				},
				complete: function(){
					<?php
					if($_POST['vista']=="cliente_tabla")
					{
						echo $_POST['vista'].'();';
					}
					if($_POST['vista']=="venta_tabla")
					{
						echo $_POST['vista'].'();';
					}
					?>
				}
			});	
	    });
	});
	$('#cmb_cli_tip').focus();
	
	$('#txt_cli_nom').blur(function() {
		
		cli = $(this).val();
		
	
		$(this).val(cli);
		
	});
	$('#cmb_cli_tip').keydown(function(ev) {
		if(ev.keyCode==13){
			if($("#cmb_cli_tip").val()=="1"){
			if($(this).val().length == 8){
					
				}else{
					$(this).val('');
					toastr["error"]('Ingrese un Nº de DNI 8 digitos.');
					limpiar_inputs();
			}
			}else if($("#cmb_cli_tip").val()=="2"){
				
					if($(this).val().length == 11){
					
				}else{
					$(this).val('');
					toastr["error"]('Ingrese un Nº de RUC 11 digitos.');
					limpiar_inputs();
				}	
			}	
			return false;
		}
	});
	
	$('#cmb_cli_tip').change(function(){
		limpiar_inputs();
		if($('#txt_cli_doc').val()!=''){
			if($(this).val()=="1"){
			if($(this).val().length == 8){
					
				}else{
					$('#txt_cli_doc').val('');
					toastr["error"]('Ingrese un Nº de DNI 8 digitos.');
					limpiar_inputs();
			}
			}else if($(this).val()=="2"){
				
				if($(this).val().length == 11){
					
				}else{
					$('#txt_cli_doc').val('');
					toastr["error"]('Ingrese un Nº de RUC 11 digitos.');
					limpiar_inputs();
				}	
		}	
		}else{
			$('#txt_cli_doc').focus();
		}
	
	});
	
	$('#txt_cli_doc').keydown(function(ev) {
		if(ev.keyCode==13){
			
		if($("#cmb_cli_tip").val()==""){
		toastr["warning"]('Seleccione un tipo de docuemtno...');
		$('#cmb_cli_tip').focus(); 
	
			}else if($("#cmb_cli_tip").val()=="1"){
				if($('#txt_cli_doc').val()==""){
					toastr["error"]('Ingrese un Nº de DNI');
				}else
				{
					if($(this).val().length == 8){
					buscardni();
				}else{
					$(this).val('');
					toastr["error"]('Ingrese un Nº de DNI 8 digitos.');
			}
				}					
			}else if($("#cmb_cli_tip").val()=="2"){
				if($('#txt_cli_doc').val()==""){
					toastr["error"]('Ingrese un Nº de RUC');
				}else
				{
					if($(this).val().length == 11){
					buscarruc();
				}else{
					$(this).val('');
					toastr["error"]('Ingrese un Nº de RUC 11 digitos.');
				}	
			}	
			}	
			return false;
			
			
			}
	});
	
	$('#txt_cli_nom').keydown(function(ev) {
		if(ev.keyCode==13){$('#txt_cli_dir').focus(); return false;}
	});
	$('#txt_cli_dir').keydown(function(ev) {
		if(ev.keyCode==13){$('#txt_cli_con').focus(); return false;}
	});
	$('#txt_cli_con').keydown(function(ev) {
		if(ev.keyCode==13){$('#txt_cli_tel').focus(); return false;}
	});
	$('#txt_cli_tel').keydown(function(ev) {
		if(ev.keyCode==13){$('#txt_cli_ema').focus(); return false;}
	});
	$('#txt_cli_ema').keydown(function(ev) {
		if(ev.keyCode==13){$('#btn_cliente_save').focus(); return false;}
	});
	
</script>